%define lib_major 1
%define lib_name %mklibname lensfun %{lib_major}
%define lib_dev %mklibname lensfun -d

Name: lensfun
Version: 0.3.4
Summary: A library to rectify defects introduced by photographic lenses
Release: %mkrel 1
License: LGPLv3 and CC-BY-SA
Group: System/Libraries
URL: https://github.com/lensfun/lensfun
Source0: https://github.com/lensfun/lensfun/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.xz
Source2: README.urpmi
Patch0: 0001-Match-library-file-name-with-soname.patch
Patch7: lensfun-0.3.2-INSTALL_HELPER_SCRIPTS.patch
BuildRequires: cmake >= 2.8
BuildRequires: doxygen
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(zlib)
BuildRequires: python3 python3-devel
BuildRequires: python3-docutils

%description
The lensfun library provides an open source database of photographic lenses and
their characteristics. It not only provides a way to read and search the
database, but also provides a set of algorithms for correcting images based on
detailed knowledge of lens properties. Right now lensfun is designed to correct
distortion, transversal (also known as lateral) chromatic aberrations,
vignetting and color contribution of a lens.

%files
%{_datadir}/lensfun
%{_bindir}/lensfun-add-adapter
%{_bindir}/lensfun-update-data
%{python3_sitelib}/lensfun*.egg
%{_docdir}/lensfun/*.css
%{_docdir}/lensfun/*.html
%{_docdir}/lensfun/*.js
%{_docdir}/lensfun/*.png
%{_docdir}/lensfun/*.svg
%{_mandir}/man1/lensfun-add-adapter.1*
%{_mandir}/man1/lensfun-update-data.1*

#------------------------------------------------------------------

%package -n %{lib_name}
Summary: A library to rectify defects introduced by photographic lenses
Group: System/Libraries
Requires: %{name}

%description -n	%{lib_name}
A library to rectify defects introduced by photographic lenses.

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}

#------------------------------------------------------------------

%package -n	%{lib_dev}
Summary: Development tools for programs which will use the %{name}
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and .so libraries for developing %{name}.

%files -n %{lib_dev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lensfun.pc

#------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -i -e "s|^#!/usr/bin/env python3$|#!%{__python3}|g" \
    apps/lensfun-add-adapter \
    apps/lensfun-update-data

%build
%cmake -DBUILD_TESTS:BOOL=OFF \
       -DBUILD_DOC:BOOL=ON \
       -DCMAKE_BUILD_TYPE:STRING=Release \
       -DINSTALL_HELPER_SCRIPTS:BOOL=ON \
	-DBUILD_FOR_SSE=ON -DBUILD_FOR_SSE2=ON

%cmake_build

%install
export SETUPTOOLS_USE_DISTUTILS=stdlib
%cmake_install


## unpackaged files
# omit g-lensfun-update-data because it needs gksudo which we don't ship
rm -fv %{buildroot}%{_bindir}/g-lensfun-update-data \
       %{buildroot}%{_mandir}/man1/g-lensfun-update-data.*


%changelog
* Wed Sep 20 2023 tex - 0.3.4-1pclos2023
- version 0.3.4
